<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>Island of Dr Moreau</Title>
  <Series>Red Agent</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Red-Agent-4/digital-comic/844392</Web>
  <Summary>Now imprisoned on the island, and stripped of their powers, Red and Avril are shocked by the depths of Moreau’s madness, and by the strange society that she has created.  They’re also surprised to learn that some of her creatures display far more humanity than their creator.  And that humanity might be the key to saving their lives.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB844392]</Notes>
  <Publisher>Zenescope</Publisher>
  <Genre>Spy, Action/Adventure, Leading Ladies</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
